Bug 1706626 - [abrt] mumble: QHash<QString, QString>::value(): mumble killed by SIGSEGV
Summary: [abrt] mumble: QHash<QString, QString>::value(): mumble killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mumble
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: John
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cd2217f222487b2769019a9c19c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-05 19:07 UTC by ValdikSS
Modified: 2019-05-22 01:40 UTC (History)
6 users (show)

Fixed In Version: mumble-1.2.19-14.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-22 01:40:06 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (45.13 KB, text/plain)
2019-05-05 19:07 UTC, ValdikSS
no flags Details
File: cgroup (195 bytes, text/plain)
2019-05-05 19:07 UTC, ValdikSS
no flags Details
File: core_backtrace (10.10 KB, text/plain)
2019-05-05 19:07 UTC, ValdikSS
no flags Details
File: cpuinfo (1.20 KB, text/plain)
2019-05-05 19:07 UTC, ValdikSS
no flags Details
File: dso_list (8.67 KB, text/plain)
2019-05-05 19:07 UTC, ValdikSS
no flags Details
File: environ (3.69 KB, text/plain)
2019-05-05 19:07 UTC, ValdikSS
no flags Details
File: limits (1.29 KB, text/plain)
2019-05-05 19:07 UTC, ValdikSS
no flags Details
File: maps (63.86 KB, text/plain)
2019-05-05 19:07 UTC, ValdikSS
no flags Details
File: mountinfo (4.54 KB, text/plain)
2019-05-05 19:07 UTC, ValdikSS
no flags Details
File: open_fds (1.50 KB, text/plain)
2019-05-05 19:07 UTC, ValdikSS
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2019-05-05 19:07 UTC, ValdikSS
no flags Details
source RPM (3.07 MB, application/x-rpm)
2019-05-07 11:23 UTC, ValdikSS
no flags Details
mumble-1.2.19-12.fc30.x86_64.rpm — compiled package for x86_64 with workaround applied (3.05 MB, application/x-rpm)
2019-05-07 11:23 UTC, ValdikSS
no flags Details


Links
System ID Priority Status Summary Last Updated
Github mumble-voip mumble issues 3685 None None None 2019-05-05 19:45:31 UTC

Description ValdikSS 2019-05-05 19:07:30 UTC
Description of problem:
Fresh Mumble installation crashes right after start on F30. Worked fine on F29. I've cleaned ~/.config/Mumble.

Version-Release number of selected component:
mumble-1.2.19-12.fc30

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        mumble
crash_function: QHash<QString, QString>::value
executable:     /usr/bin/mumble
journald_cursor: s=6306afa3f09140a08d71aa987fb2146e;i=4ec53;b=5e5ea24047094129b55d03aab7412c27;m=5f6a8d87b;t=588289d0bec4d;x=bdce7a3f678b15fe
kernel:         5.0.11-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 QHash<QString, QString>::value at /usr/include/QtCore/qhash.h:606
 #1 OSSInput::run at OSS.cpp:207
 #2 QThreadPrivate::start at thread/qthread_unix.cpp:352

Comment 1 ValdikSS 2019-05-05 19:07:34 UTC
Created attachment 1564069 [details]
File: backtrace

Comment 2 ValdikSS 2019-05-05 19:07:35 UTC
Created attachment 1564070 [details]
File: cgroup

Comment 3 ValdikSS 2019-05-05 19:07:37 UTC
Created attachment 1564071 [details]
File: core_backtrace

Comment 4 ValdikSS 2019-05-05 19:07:38 UTC
Created attachment 1564072 [details]
File: cpuinfo

Comment 5 ValdikSS 2019-05-05 19:07:40 UTC
Created attachment 1564073 [details]
File: dso_list

Comment 6 ValdikSS 2019-05-05 19:07:41 UTC
Created attachment 1564074 [details]
File: environ

Comment 7 ValdikSS 2019-05-05 19:07:43 UTC
Created attachment 1564075 [details]
File: limits

Comment 8 ValdikSS 2019-05-05 19:07:45 UTC
Created attachment 1564076 [details]
File: maps

Comment 9 ValdikSS 2019-05-05 19:07:46 UTC
Created attachment 1564077 [details]
File: mountinfo

Comment 10 ValdikSS 2019-05-05 19:07:48 UTC
Created attachment 1564078 [details]
File: open_fds

Comment 11 ValdikSS 2019-05-05 19:07:50 UTC
Created attachment 1564079 [details]
File: proc_pid_status

Comment 12 ValdikSS 2019-05-05 19:29:50 UTC
void OSSInput::run() {
	QByteArray device = cards->qhDevices.value(g.s.qsOSSInput).toLatin1();
	if (device.isEmpty()) {
		qWarning("OSSInput: Stored device not found, falling back to default");
		device = cards->qhDevices.value(QString()).toLatin1();
}
…

"cards" variable is NULL.

(gdb) bt
#0  0x0000555555740b2e in OSSInput::run() (this=0x5555560fc9c0) at OSS.cpp:207
#1  0x00007ffff6388701 in  () at /lib64/libQtCore.so.4
#2  0x00007ffff74565a2 in start_thread () at /lib64/libpthread.so.0
#3  0x00007ffff5eac023 in clone () at /lib64/libc.so.6

(gdb) p cards
$1 = (OSSEnumerator *) 0x0

Comment 13 ValdikSS 2019-05-07 11:21:59 UTC
As a temporary workaround, I made a simple patch to initialize "cards" variable if it's NULL.

Comment 14 ValdikSS 2019-05-07 11:23:04 UTC
Created attachment 1565114 [details]
source RPM

mumble-1.2.19-12.fc30.src.rpm with temporary workaround

Comment 15 ValdikSS 2019-05-07 11:23:58 UTC
Created attachment 1565115 [details]
mumble-1.2.19-12.fc30.x86_64.rpm — compiled package for x86_64 with workaround applied

Comment 16 Stepan Broz 2019-05-11 23:45:36 UTC
Thank you for the patch, that worked for me too.

Comment 17 Marco Schmidt 2019-05-16 18:35:28 UTC
Thanks for the patch, an official update is now available: https://bodhi.fedoraproject.org/updates/FEDORA-2019-03f5772e40

Comment 18 Fedora Update System 2019-05-16 19:14:12 UTC
mumble-1.2.19-13.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-03f5772e40

Comment 19 Fedora Update System 2019-05-17 15:38:00 UTC
mumble-1.2.19-13.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-03f5772e40

Comment 20 Fedora Update System 2019-05-17 20:42:51 UTC
mumble-1.2.19-14.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-03f5772e40

Comment 21 Fedora Update System 2019-05-18 00:53:54 UTC
mumble-1.2.19-14.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-03f5772e40

Comment 22 Fedora Update System 2019-05-22 01:40:06 UTC
mumble-1.2.19-14.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.